import { NgModule } from '@angular/core';

import { SharedModule } from '../shared/shared.module';
import { OpenaireMailPrefsComponent } from './mailPrefs.component';
import { MailPrefsRoutingModule } from './mailPrefs-routing.module';
import { MailPrefsModule } from '../openaireLibrary/connect/userEmailPreferences/mailsPrefs.module';
import { LoginGuard } from '../openaireLibrary/login/loginGuard.guard';
import { PreviousRouteRecorder } from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import { IsRouteEnabled } from '../openaireLibrary/error/isRouteEnabled.guard';

@NgModule({
  imports: [
    SharedModule,
    MailPrefsRoutingModule,
    MailPrefsModule
  ],
  providers:[LoginGuard, PreviousRouteRecorder, IsRouteEnabled],
  declarations: [
    OpenaireMailPrefsComponent
  ]
})
export class LibMailPrefsModule { }
